//  @ Project : TestOnline
//  @ File Name : Paper.cs
//  @ Date : 2009-3-12
//  @ Author : ruimingde
using System;
using System.Collections.Generic;
using System.Text;

namespace Entity
{
    public  class Paper
    {
        private  int paperID;

        public int PaperID
        {
            get { return paperID; }
            set { paperID = value; }
        }
        private string paperName;

        public string PaperName
        {
            get { return paperName; }
            set { paperName = value; }
        }
        private Department paperType=new Department();

        public Department PaperType
        {
            get { return paperType; }
            set { paperType = value; }
        }
        private string content;
        public  string  Content
        {
            get { return content; }
            set { content = value; }
        }

        private string answer;

        public string Answer
        {
            get { return answer; }
            set { answer = value; }
        }
        private short totalScore = 100;
        public short TotalScore
        {
            get { return totalScore; }
            set { totalScore = value; }
        }

        private User creator=new User();

        public User Creator
        {
            get { return creator; }
            set { creator = value; }
        }
        private DateTime createdTime=DateTime.Now;

        public DateTime CreatedTime
        {
            get { return createdTime; }
            set { createdTime = value; }
        }
    }
}